package com.bc_chat.im.plug

import com.bc_chat.im.module.MLocationPlugin
import io.rong.imkit.IExtensionModule
import io.rong.imkit.RongExtension
import io.rong.imkit.RongIM
import io.rong.imkit.emoticon.IEmoticonTab
import io.rong.imkit.plugin.IPluginModule
import io.rong.imkit.plugin.ImagePlugin
import io.rong.imkit.widget.provider.ImageMessageItemProvider
import io.rong.imlib.model.Conversation
import io.rong.imlib.model.Message
import io.rong.message.ImageMessage

/**
 * author：Created by zhaohaoting on 2019/3/15
 * email：526309416@qq.com
 * desc：
 */
class LocationExtensioModule : IExtensionModule {
    override fun onAttachedToExtension(p0: RongExtension?) {
    }

    override fun onInit(appKey: String) {
    }

    override fun onConnect(token: String) {}


    override fun onDetachedFromExtension() {}

    override fun onReceivedMessage(message: Message) {}

    override fun getPluginModules(conversationType: Conversation.ConversationType): List<IPluginModule> {
        val pluginModules = arrayListOf<IPluginModule>()
        pluginModules.add(MLocationPlugin())
        return pluginModules
    }

    override fun getEmoticonTabs(): List<IEmoticonTab>? {
        return null
    }

    override fun onDisconnect() {}
}